unit Unit3;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Types, Vcl.StdCtrls, WEBLib.StdCtrls,
  Vcl.Controls, Vcl.Grids, WEBLib.Grids, VCL.TMSFNCTypes, VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, VCL.TMSFNCGridCell,
  VCL.TMSFNCGridOptions, VCL.TMSFNCCustomControl, VCL.TMSFNCCustomScrollControl,
  VCL.TMSFNCGridData, VCL.TMSFNCCustomGrid, VCL.TMSFNCGrid;

type
  TForm3 = class(TWebForm)
    SG_SumTable1: TWebStringGrid;
    WebButton1: TWebButton;
    procedure WebButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.WebButton1Click(Sender: TObject);
begin
  SG_SumTable1.BeginUpdate;
  SG_SumTable1.rowCount := SG_SumTable1.rowCount +1;
  SG_SumTable1.cells[0, SG_SumTable1.rowCount-1] := 'Test';
  SG_SumTable1.EndUpdate;

end;

end.
